This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 490516 - evolution-data-server update fails due to missing deps.
evolution-data-server update fails due to missing deps.
Status: CLOSED DUPLICATE of bug 491916
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-metadata-parser (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
: 495328 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 15:21 EDT by Phil Shen
Modified: 2014-01-21 01:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 12:10:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Shen 2009-03-16 15:21:15 EDT
Description of problem:
[root@library html]# yum update
Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package evolution-data-server-devel.i386 0:1.12.3-10.el5_3.3 set to be updated
---> Package evolution-data-server.i386 0:1.12.3-10.el5_3.3 set to be updated
--> Processing Dependency: libebook-1.2.so.9 for package: gnome-panel
--> Processing Dependency: libebook-1.2.so.9 for package: control-center
--> Processing Dependency: libebook-1.2.so.9 for package: bug-buddy
--> Processing Dependency: libecal-1.2.so.7 for package: gnome-panel
--> Processing Dependency: libedataserver-1.2.so.7 for package: gnome-panel
--> Processing Dependency: libedataserver-1.2.so.7 for package: control-center
--> Processing Dependency: libedataserver-1.2.so.7 for package: bug-buddy
--> Processing Dependency: libedataserverui-1.2.so.8 for package: gnome-panel
--> Processing Dependency: evolution-data-server >= 1.1.4 for package: gnome-panel
--> Finished Dependency Resolution
gnome-panel-2.16.1-7.el5.i386 from installed has depsolving problems
  --> Missing Dependency: libecal-1.2.so.7 is needed by package gnome-panel-2.16.1-7.el5.i386 (installed)
1:control-center-2.16.0-16.el5.i386 from installed has depsolving problems
  --> Missing Dependency: libedataserver-1.2.so.7 is needed by package 1:control-center-2.16.0-16.el5.i386 (installed)
1:bug-buddy-2.16.0-2.el5.i386 from installed has depsolving problems
  --> Missing Dependency: libebook-1.2.so.9 is needed by package 1:bug-buddy-2.16.0-2.el5.i386 (installed)
gnome-panel-2.16.1-7.el5.i386 from installed has depsolving problems
  --> Missing Dependency: libedataserver-1.2.so.7 is needed by package gnome-panel-2.16.1-7.el5.i386 (installed)
gnome-panel-2.16.1-7.el5.i386 from installed has depsolving problems
  --> Missing Dependency: libebook-1.2.so.9 is needed by package gnome-panel-2.16.1-7.el5.i386 (installed)
gnome-panel-2.16.1-7.el5.i386 from installed has depsolving problems
  --> Missing Dependency: libedataserverui-1.2.so.8 is needed by package gnome-panel-2.16.1-7.el5.i386 (installed)
gnome-panel-2.16.1-7.el5.i386 from installed has depsolving problems
  --> Missing Dependency: evolution-data-server >= 1.1.4 is needed by package gnome-panel-2.16.1-7.el5.i386 (installed)
1:bug-buddy-2.16.0-2.el5.i386 from installed has depsolving problems
  --> Missing Dependency: libedataserver-1.2.so.7 is needed by package 1:bug-buddy-2.16.0-2.el5.i386 (installed)
1:control-center-2.16.0-16.el5.i386 from installed has depsolving problems
  --> Missing Dependency: libebook-1.2.so.9 is needed by package 1:control-center-2.16.0-16.el5.i386 (installed)
Error: Missing Dependency: libecal-1.2.so.7 is needed by package gnome-panel-2.16.1-7.el5.i386 (installed)
Error: Missing Dependency: libebook-1.2.so.9 is needed by package 1:control-center-2.16.0-16.el5.i386 (installed)
Error: Missing Dependency: libedataserver-1.2.so.7 is needed by package 1:bug-buddy-2.16.0-2.el5.i386 (installed)
Error: Missing Dependency: libebook-1.2.so.9 is needed by package gnome-panel-2.16.1-7.el5.i386 (installed)
Error: Missing Dependency: libedataserver-1.2.so.7 is needed by package 1:control-center-2.16.0-16.el5.i386 (installed)
Error: Missing Dependency: libebook-1.2.so.9 is needed by package 1:bug-buddy-2.16.0-2.el5.i386 (installed)
Error: Missing Dependency: libedataserverui-1.2.so.8 is needed by package gnome-panel-2.16.1-7.el5.i386 (installed)
Error: Missing Dependency: evolution-data-server >= 1.1.4 is needed by package gnome-panel-2.16.1-7.el5.i386 (installed)
Error: Missing Dependency: libedataserver-1.2.so.7 is needed by package gnome-panel-2.16.1-7.el5.i386 (installed)
[root@library html]#


Version-Release number of selected component (if applicable):


How reproducible:
run yum update

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Scott Weigand 2009-03-17 09:53:09 EDT
I had this same problem. I removed (all via yum) evolution-data-server, which removes gnome-session & gnome-applet and reinstalled evolution-data-server & gnome-session & gnome-applet. 

It is crude, but got the job done. This is on a 5.3 with all updates.
Comment 6 Jose Plans 2009-04-14 12:10:59 EDT

*** This bug has been marked as a duplicate of bug 491916 ***
Comment 7 James Antill 2009-04-14 17:06:47 EDT
*** Bug 495328 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.